FWUPDTOOL(1)

NAME
fwupdtool - Standalone firmware update utility

DESCRIPTION

  Usage:

    fwupdtool [OPTION?]

activate [DEVICE-ID]
    Activate pending devices

attach DEVICE-ID
    Attach to firmware mode

build-firmware FILE-IN FILE-OUT [SCRIPT] [OUTPUT]
    Build firmware using a sandbox

detach DEVICE-ID
    Detach to bootloader mode

firmware-parse FILENAME [FIRMWARE-TYPE]
    Parse and show details about a firmware file

firmware-read FILENAME [DEVICE-ID]
    Read a firmware blob from a device

get-details
    Gets details about a firmware file

get-device-flags
    Get all device flags supported by fwupd

get-devices
    Get all devices that support firmware updates

get-firmware-types
    List the available firmware types

get-history
    Show history of firmware updates

get-plugins
    Get all enabled plugins registered with the system

get-remotes
    Gets the configured remotes

get-topology
    Alias to get-devices

get-updates
    Gets the list of updates for connected hardware

get-upgrades
    Alias to get-updates

hwids [FILE]
    Return all the hardware IDs for the machine

install FILE [DEVICE-ID]
    Install a firmware file on this hardware

install-blob FILENAME DEVICE-ID
    Install a firmware blob on a device

monitor
    Monitor the daemon for events

refresh
    Refresh metadata from remote server

self-sign TEXT
    Sign data using the client certificate

smbios-dump FILE
    Dump SMBIOS data from a file

update
    Update all devices that match local metadata

upgrade
    Alias to update

verify-update [DEVICE-ID]
    Update the stored metadata with current contents

watch
    Watch for hardware changes

  Help Options:

-h, --help
    Show help options

--help-all
    Show all help options

  Application Options:

--version
    Show client and daemon versions

--allow-reinstall
    Allow reinstalling existing firmware versions

--allow-older
    Allow downgrading firmware versions

--force
    Override plugin warning

--no-reboot-check
    Do not check for reboot after update

--no-safety-check
    Do not perform device safety checks

--show-all-devices
    Show devices that are not updatable

--plugin-whitelist
    Manually whitelist specific plugins

--prepare
    Run the plugin composite prepare routine when using install-blob

--cleanup
    Run the plugin composite cleanup routine when using install-blob

--enable-json-state
    Save device state into a JSON file between executions

--disable-ssl-strict
    Ignore SSL strict checks when downloading files

--filter
    Filter with a set of device flags using a ~ prefix to exclude, e.g. 'internal,~needs-reboot'

-v, --verbose
    Show debugging information for all domains

--no-timestamp
    Do not include timestamp prefix

--no-domain
    Do not include log domain prefix

--plugin-verbose=PLUGIN-NAME
    Show plugin verbose information

--daemon-verbose=DOMAIN
    Show daemon verbose information for a particular domain

This tool allows an administrator to use the fwupd plugins without being installed on the host system.